> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Iterate Custom Pipeline

> Iterate on an existing custom processor.

Provides feedback to the agent which resumes from the previous session,
creating a new version of the processor parameters.



## OpenAPI

````yaml https://www.datalab.to/openapi.json post /api/v1/custom_processors/{processor_id}/iterate
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_processors/{processor_id}/iterate:
    post:
      tags:
        - Custom Processors
      summary: Iterate Custom Pipeline
      description: |-
        Iterate on an existing custom processor.

        Provides feedback to the agent which resumes from the previous session,
        creating a new version of the processor parameters.
      operationId: >-
        iterate_custom_pipeline_api_v1_custom_processors__processor_id__iterate_post
      parameters:
        - name: processor_id
          in: path
          required: true
          schema:
            type: string
            title: Processor Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_iterate_custom_pipeline_api_v1_custom_processors__processor_id__iterate_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomProcessorInitialResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_iterate_custom_pipeline_api_v1_custom_processors__processor_id__iterate_post:
      properties:
        request:
          type: string
          title: Request
          description: Feedback / instructions for the iteration
        files:
          items:
            type: string
            format: binary
          type: array
          title: Files
          description: Optional additional example documents
          default: []
        file_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: File Instructions
          description: JSON array of per-file instructions
      type: object
      required:
        - request
      title: >-
        Body_iterate_custom_pipeline_api_v1_custom_processors__processor_id__iterate_post
    CustomProcessorInitialResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the request was accepted
          default: true
        response_check_url:
          type: string
          title: Response Check Url
          description: >-
            URL to poll for status and results. Once generation completes, the
            status response will include the processor_id for execution.
      type: object
      required:
        - response_check_url
      title: CustomProcessorInitialResponse
      description: >-
        Initial response returned immediately after submitting a custom
        processor request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````